Bug 448001 - enhancement for fail2ban to allow usage beyond bad passwords.
enhancement for fail2ban to allow usage beyond bad passwords.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fail2ban (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 16:19 EDT by Don Russell
Modified: 2009-03-22 06:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-22 06:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Russell 2008-05-22 16:19:40 EDT
Description of problem:
Enhancement:
Add a cli option so fail2ban could be used by other applications trying to
control nuisances. :-)

i.e. I have an application that runs via xinetd. It does not require a password,
but if people connect to it with the incorrect protocol, they are "up to no
good". I'd like to be able to invoke fail2ban from my app like this:
fail2ban --doorknocker <ip address>

fail2ban would treat that as if it were an unsuccessful password attempt... that
is, if it received enough of these "doorknocker" messages for the same IP
address, the IP address would be banned, and reported in the fail2ban logs



Version-Release number of selected component (if applicable):
fail2ban-0.8.2-14.fc9.noarch

How reproducible:
n/a - enhancement


Steps to Reproduce:
1. n/a - enhancement
2.
3.
  
Actual results:
n/a - enhancement

Expected results:
n/a - enhancement


Additional info:
Comment 1 Axel Thimm 2008-05-22 20:48:15 EDT
That's more an upstream request than a packaging one.

Having said that fail2ban is not restricted to "bad passwords". Anything that
creates a log entry can control fail2ban.
Comment 2 Robert Vogelgesang 2009-03-16 07:07:24 EDT
How about closing this bugzilla entry, with resolution NOTABUG?

Note You need to log in before you can comment on or make changes to this bug.